GET /api/pro/work

The orders this professional has claimed and not yet submitted, oldest first.

Surface: professional. Who may call: professional. Key: professional.work.list.

Example request

curl -X GET https://caremcp.com/api/pro/work \
  -H "Authorization: Bearer <session or access token>"

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {}
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "array",
 "items": {
  "type": "object",
  "properties": {
   "orderId": {
    "type": "string"
   },
   "protocol": {
    "type": "string"
   },
   "professions": {
    "type": "array",
    "items": {
     "type": "string"
    }
   },
   "status": {
    "type": "string",
    "enum": [
     "queued",
     "assigned",
     "reviewed",
     "refused"
    ]
   },
   "screening": {
    "type": "object",
    "properties": {
     "tier": {
      "anyOf": [
       {
        "type": "number",
        "const": 1
       },
       {
        "type": "number",
        "const": 2
       },
       {
        "type": "number",
        "const": 3
       }
      ]
     },
     "flags": {
      "type": "array",
      "items": {
       "type": "string"
      }
     }
    },
    "required": [
     "tier",
     "flags"
    ],
    "additionalProperties": false
   },
   "brief": {},
   "age": {
    "anyOf": [
     {
      "type": "integer",
      "minimum": -9007199254740991,
      "maximum": 9007199254740991
     },
     {
      "type": "null"
     }
    ]
   },
   "language": {
    "type": "string",
    "pattern": "^[a-z]{2}(-[A-Z]{2})?$"
   },
   "payoutCents": {
    "type": "integer",
    "minimum": -9007199254740991,
    "maximum": 9007199254740991
   },
   "reservedUntil": {
    "type": [
     "string",
     "null"
    ]
   },
   "createdAt": {
    "type": "string"
   },
   "claimedAt": {
    "type": [
     "string",
     "null"
    ]
   }
  },
  "required": [
   "orderId",
   "protocol",
   "professions",
   "status",
   "screening",
   "brief",
   "age",
   "language",
   "payoutCents",
   "reservedUntil",
   "createdAt",
   "claimedAt"
  ],
  "additionalProperties": false
 }
}